# DataExchange
TKSTEPBase
StepGeom

# StepGeom_PointOnCurve Class Reference

`#include <StepGeom_PointOnCurve.hxx>`

Inheritance diagram for StepGeom_PointOnCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_PointOnCurve ()
| Returns a PointOnCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aBasisCurve, const Standard_Real aPointParameter)
Standard_EXPORT void | SetBasisCurve (const Handle(StepGeom_Curve)&aBasisCurve)
Standard_EXPORT Handle_StepGeom_Curve | BasisCurve () const
Standard_EXPORT void | SetPointParameter (const Standard_Real aPointParameter)
Standard_EXPORT Standard_Real | PointParameter () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Curve | basisCurve
Standard_Real | pointParameter

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_PointOnCurve::StepGeom_PointOnCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Curve StepGeom_PointOnCurve::BasisCurve | ( |  | ) | const

Standard_EXPORT const StepGeom_PointOnCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Point.

virtual Standard_EXPORT void StepGeom_PointOnCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aBasisCurve,
|  | const Standard_Real | aPointParameter
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_PointOnCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Real StepGeom_PointOnCurve::PointParameter | ( |  | ) | const

Standard_EXPORT void StepGeom_PointOnCurve::SetBasisCurve | ( | const Handle(StepGeom_Curve)& | aBasisCurve | ) |

Standard_EXPORT void StepGeom_PointOnCurve::SetPointParameter | ( | const Standard_Real | aPointParameter | ) |

## Field Documentation

Handle_StepGeom_Curve StepGeom_PointOnCurve::basisCurve `[private]`

Standard_Real StepGeom_PointOnCurve::pointParameter `[private]`

The documentation for this class was generated from the following file:

- StepGeom_PointOnCurve.hxx